<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_POIs_V2 StructType
 * @subpackage Structs
 */
class Get_POIs_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The POISelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\POISelection_V2
     */
    public $POISelection;
    /**
     * Constructor method for Get_POIs_V2
     * @uses Get_POIs_V2::setLogin()
     * @uses Get_POIs_V2::setPOISelection()
     * @param \StructType\Login $login
     * @param \StructType\POISelection_V2 $pOISelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\POISelection_V2 $pOISelection = null)
    {
        $this
            ->setLogin($login)
            ->setPOISelection($pOISelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_POIs_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get POISelection value
     * @return \StructType\POISelection_V2|null
     */
    public function getPOISelection()
    {
        return $this->POISelection;
    }
    /**
     * Set POISelection value
     * @param \StructType\POISelection_V2 $pOISelection
     * @return \StructType\Get_POIs_V2
     */
    public function setPOISelection(\StructType\POISelection_V2 $pOISelection = null)
    {
        $this->POISelection = $pOISelection;
        return $this;
    }
}
